Bug Hunting Session
Bug 92431 - Thumbnail not saved/reused when user does not save changes in MS format files
Summary: Thumbnail not saved/reused when user does not save changes in MS format files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.1.0 target:5.0.0.3 target:4...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-06-29 17:26 UTC by Pedro
Modified: 2016-10-25 19:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2015-06-29 17:26:37 UTC
If a user opens a MS format file (doc, dox, xls, etc) in v4.4.3 or 5.0.0 and then closes it a thumbnail is correctly added to the Start Center.

However if the user opens the MS file and modifies/types something but does not save changes, the thumbnail created is a general file type icon.

Also if the user reopens an MS file that already has a correct thumbnail and modifies it but does not save, the thumbnail is replaced by the general icon.

This does NOT happen with ODF files and did NOT happen in branch 4.3, so this is a regression.
Comment 1 Maxim Monastirsky 2015-06-29 19:59:57 UTC
Regression of:

commit 1166966eb4112fdf332c656eae5082d82a3ec2f2
Author: Maxim Monastirsky <momonasmon@gmail.com>
Date:   Sun Nov 9 21:52:54 2014 +0200

    Related: fdo#80755 Always update the thumbnail

Sorry for that.
Comment 2 Pedro 2015-06-29 20:48:14 UTC
(In reply to Maxim Monastirsky from comment #1)
>     Related: fdo#80755 Always update the thumbnail
> 
> Sorry for that.

No apologies needed ;)

I guess you can't predict every odd way someone is going to use LibreOffice...
Comment 3 Commit Notification 2015-07-01 20:56:05 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9c476bfbb4a8f1858c072d2fba33aa9e8e0ae92

tdf#92431 Keep thumbnail for modified but unsaved doc

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-07-07 12:30:56 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab9132f4e2d3bf7c24dddba47b72b70c67d86374&h=libreoffice-5-0

tdf#92431 Keep thumbnail for modified but unsaved doc

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-07-07 12:35:54 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c7836141b6f2e71b4c41227718b4b916f464f5a&h=libreoffice-4-4

tdf#92431 Keep thumbnail for modified but unsaved doc

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.